version: "3"

services:
  storage-mapper-service:
    image: storage-mapper-service
    build: .
    environment:
      SM_DB_USERNAME: empaia_test
      SM_DB_PASSWORD: A6tP3osxByeM
      SM_DB: storage_mappings
      SM_DB_HOST: storage-mapper-service-db
      SM_DB_PORT: 5432
      SM_PORT: 8000
      NO_PROXY: "storage-mapper-service-db"
    command: run.sh --host=0.0.0.0 --port=8000
    ports:
      - 8000:8000
    depends_on:
      - storage-mapper-service-db

  storage-mapper-service-db:
    image: registry.gitlab.com/empaia/integration/custom-pg:14
    command: postgres -c config_file=/etc/postgresql/postgres.conf
    environment:
      POSTGRES_DB: storage_mappings
      POSTGRES_USER: empaia_test
      POSTGRES_PASSWORD: A6tP3osxByeM
    ports:
      - 5432:5432
    volumes:
      - sms-db-vol:/var/lib/postgresql/data:rw

volumes:
  sms-db-vol:
    name: sms-db-vol
    external: false
